LibreELEC Retroplayer 8.0 Test Builds

  • New LibreELEC Retroplayer builds!


    So these new builds are based on LibreELEC master and garbear's latest work from here


    These new builds aren't quite functionally on par with the old builds as garbear has been working on refactoring retroplayer into the latest Kodi codebase.


    So if you want to play games stay on the old builds. I will leave them there until we are functionally on par.


    We always appreciate testers though and it's a good way to test both the new retroplayer Kodi and the current state of LibreELEC master.


    Builds are still located here, retroplayer


    More builds will be coming soon, for now Generic and RPi2 builds are all I am providing.


    Happy Testing!

    Edited once, last by newphreak ().

  • I updated my existing le7.0 build and kodi got into a restart loop over one of my addins, reverting back fixed it. I had been playing with some of the tvaddon stuff so the issue could easily be there
    Makes me think I need to clean install. (oh I do have the log files if your interested)


    Sent from my D5803 using Tapatalk


  • I updated my existing le7.0 build and kodi got into a restart loop over one of my addins, reverting back fixed it. I had been playing with some of the tvaddon stuff so the issue could easily be there
    Makes me think I need to clean install. (oh I do have the log files if your interested)


    Sent from my D5803 using Tapatalk


    I believe the problem is with kodi and the inputstream add-ons. Hopefully this will be fixed shortly.

  • Will these work with my MK808b plus stick?

    MK808b Plus stick running LibreElec 7 with Retroarch 1.3.6 running as an addon


  • New LibreELEC Retroplayer builds!


    We always appreciate testers though and it's a good way to test both the new retroplayer Kodi and the current state of LibreELEC master.


    Happy Testing!


    MANY THANX , can we use the wetek play version on Msd or Nand ? , do you sujest clean install or is upgrade ok ? on latest 7.*


    UPDATE :


    tested out on my Msd install of 7.0 , just frooze the system after reboot :(
    then i read the txt file on the links above so i am reflashing my backup and will deleate the files you said in txt file
    and then reupdate in post results :)

    Edited once, last by H0nch0 ().

  • MANY THANX , can we use the wetek play version on Msd or Nand ? , do you sujest clean install or is upgrade ok ? on latest 7.*


    UPDATE :


    tested out on my Msd install of 7.0 , just frooze the system after reboot :(
    then i read the txt file on the links above so i am reflashing my backup and will deleate the files you said in txt file
    and then reupdate in post results :)



    A couple things, the openelec builds posted there are old, they are version 6.0. They work somewhat to play games but we really don't care about them anymore and they will not be updated.


    We only care about the current LibreELEC 8.0 builds which are built on alpha kodi 17 so it is not that stable.


    Also I don't build for Wetek anymore because the kernels are too old and there are many issues with the xpad and Sony input drivers (because many people use playstation and xbox controllers).

  • thanx for info , was hopeing wetek would get support and eith say a recomended Pad that would work
    i understand the issue with Xbox n sony pads but there bound to be a preferd pad that would work
    with the current kernals that would give every one the option of using these builds with a discaimer stating
    no xbox or sony support on wetek play for example :(


    but understand your possition :)

  • Ooh new build ahoy.... Though why o why did you wait until I'm away for 3 days to do it :)


    Sent from my D5803 using Tapatalk

  • Hi there, i have upgraded from LE7.0.0 on a RPi2 to LibreELEC-RPi2.arm-8.0-retroplayer-20160516235519-r23075-gcbb038d.
    No problems booting, but i cant seem to get a list of emulators.
    I switch the view to not hide incompatible addons, and they are all listed, but i cant install them as they are incompatible.


    Is there a trick to getting a compatible list of emulators? hange a repository, force refresh something?


    I know it's early days, and i'm just playing around with the devel builds, but maybe sometone might be able to point me in the right direction?

  • I just uploaded some newer builds that have some corrected versions, Things shoud "just work" now.


    If thinkgs aren't working I'd recommend blowing out your Addons24.db

    Code
    1. rm /storage/.kodi/userdata/Database/Addons24.db

  • I just uploaded some newer builds that have some corrected versions, Things shoud "just work" now.


    If thinkgs aren't working I'd recommend blowing out your Addons24.db

    Code
    1. rm /storage/.kodi/userdata/Database/Addons24.db


    Hi there, i tried as outlined (updated to overnight update, rm addons24, reboot), no change.
    I also enabled libretro (which wasnt enabled) and rebooted.
    I'm wondering if i'm doing something obviously stupid?
    I've included logs here, incase someone can point out what i'm doing wrong.


    Nathan

  • HI


    Ive just updated my lE 7.0 build to the LibreELEC-Generic.x86_64-8.0-devel-20160517105741-r23075-g70af88d and I too cant find or install any game addons, nothing shows in the game addon repository.


    I also found it disabled all my existing addons , I have to go and enable one by one is this by design ?

  • You have to go to add-ons -> click the small box with an arrow point down in the box in the lower left corner -> install from repository -> zach morris add-ons -> game add-ons -> game providers.
    From here you can install Internet Archive ROM Launcher.


    Once you have IARL installed you can run it and try out games, but nintendo 64 and new platforms are currently broken. I've tested NES and SNES which works fine.


    Also, if you use a "joystick"(PS3/PS4/any other random controller), you will need to go to add-ons -> click the small box with an arrow point down in the box in the lower left corner -> Peripheral libraries -> and check that joystick support add-on is enabled.
    When that's all done, you need to go to system settings -> games -> input -> configure attatched controllers. Here you can configure the different layouts.


    Sorry for the bad write-up, I'll try to clean it up a little later and include it in the first post.


    Edit: The add-ons being disabled is more of an bug then by design. Lrusak is aware of the issue.

    Edited once, last by newphreak ().

  • Hi newphreak,


    I've did that before to posted but all I got was a message saying no compatible emu found, I then went to the kids game repository to see if I could install them but none where displayed


    Sent from my SGP512 using Tapatalk

  • then could you provide kodi.log etc, so a developer can have a look at it? :) I'm just a regular joe with 10 thumbs here.


  • then could you provide kodi.log etc, so a developer can have a look at it? I'm just a regular joe with 10 thumbs here.


    Traveeling at the mo but when i get home ill upgrade again and get a log, currently im back ono 7.01 and teh whole system is hanging within 20 seecs of boot so i ahev to be fast to copy over teh file. I think the issue is emby but im not 100%